Bug 606266 - Unable to localupdate packages (ppc el5, nodeps) -> (ppc64 el6)
Unable to localupdate packages (ppc el5, nodeps) -> (ppc64 el6)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.0
ppc64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks: 519891 582655
  Show dependency treegraph
 
Reported: 2010-06-21 05:37 EDT by Garik Khachikyan
Modified: 2015-01-04 16:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 16:22:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2010-06-21 05:37:32 EDT
Description of problem:
There is not possible to update any package from rhel5 to rhel6 on PPC64 platform of RHEL6 Server. It just gives file conflicts and seems does not "understand" the new package being the update of the "old" one. For the rest of the platforms the scenario below worked okey.


Version-Release number of selected component (if applicable):
rpm-4.8.0-8.el6.ppc64

How reproducible:
2 from 2 attempts.

Steps to Reproduce:
1. make force install of any RHEL5 package on RHEL6 system (like: "rpm -Uvh zsh-4.2.6-3.el5.ppc.rpm --nodeps")
2. try to update the package and bring it to up-to-date state (either by rpm -Uvh or yum update from nightly RHEL6 repo).
3.
  
Actual results:
rpm -Uvh zsh-4.3.10-4.1.el6.ppc64.rpm 
Preparing...                ########################################### [100%]
	file /etc/skel/.zshrc from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /etc/zlogin from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /etc/zlogout from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /etc/zprofile from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /etc/zshenv from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /etc/zshrc from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/info/zsh.info-1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/info/zsh.info-2.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/info/zsh.info-3.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/info/zsh.info-4.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/info/zsh.info.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zsh.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshall.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshbuiltins.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshcompctl.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshcompsys.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshcompwid.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshcontrib.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshexpn.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshmisc.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshmodules.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshoptions.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshparam.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshtcpsys.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshzftpsys.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc
	file /usr/share/man/man1/zshzle.1.gz from install of zsh-4.3.10-4.1.el6.ppc64 conflicts with file from package zsh-4.2.6-3.el5.ppc

Expected results:
The zsh package should get successfully updated with el6 version.

Additional info:
Comment 1 RHEL Product and Program Management 2010-06-21 05:43:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Panu Matilainen 2010-06-21 06:24:08 EDT
Note that the architecture is changing here from ppc to ppc64, as the primary ppc arch apparently changed from ppc to ppc64 in RHEL 6. The PowerPC is a multiarch system, and to rpm its perfectly ok for you to have both ppc and ppc64 packages parallel-installed, as long as the files dont conflict.

Rpm doesn't have much chance of knowing whether a given package should be cross-arch upgraded or not. CC'ing James Antill for yum POV: what does yum do in cases like this?
Comment 3 Garik Khachikyan 2010-06-21 06:27:49 EDT
yum localinstall zsh-4.3.10-4.1.el6.ppc64.rpm 
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Local Package Process
Examining zsh-4.3.10-4.1.el6.ppc64.rpm: zsh-4.3.10-4.1.el6.ppc64
Marking zsh-4.3.10-4.1.el6.ppc64.rpm as an update to zsh-4.2.6-3.el5.ppc
Nothing to do
Comment 4 James Antill 2010-06-21 10:49:40 EDT
Garik what version of yum is that?

If PkgA-1.i386 is installed and _only_ PkgA-2.x86_64 is available, yum should update it (and we have tests for that). Dito. the other direction.

ppc* should work the same, but we just test .i386 and .x86_64.

We also don't test localinstall, which might well have some bugs.
Comment 5 Garik Khachikyan 2010-06-21 11:05:54 EDT
hi,

it's: yum-rhn-plugin-0.9.1-5.el6.noarch in the system.

and there was no zsh package before my attempt of manual install (the older version there).
Comment 6 Garik Khachikyan 2010-06-21 11:06:19 EDT
err: yum-3.2.27-9.el6.noarch
Comment 7 seth vidal 2010-06-22 11:47:21 EDT
Garik do you have a ppc/ppc64 system I can access to look at this problem?
Comment 10 James Antill 2010-06-23 13:39:16 EDT
Taking this as it looks like, at least one, yum bug. Not sure if we'll get it fixed for 6.0 though.
Comment 12 RHEL Product and Program Management 2010-07-15 10:47:32 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 13 James Antill 2010-09-20 16:22:44 EDT
Given it's only a real problem with RHEL-5 => RHEL-6 updates (unsupported). I'm going to WONTFIX this, if we really need to look at it again feel free to shout (but shout about what you need to work ... yum updates via. repos. vs. localinstall vs. rpm).

Note You need to log in before you can comment on or make changes to this bug.